
/*
 * ----------------------------------------------------------------------------------
 * snaps.h header file
 * ----------------------------------------------------------------------------------
 * Version  	: 1.0
 * Author	: S.Schmitz
 * History	: /
 * Date		: 27/07/2001
 * ----------------------------------------------------------------------------------
 */

#include <stdio.h>
#include "z80defs.h"

#ifndef SNAPSHEADER
#define SNAPSHEADER

	#define BLOCKSIZE		16384 // a Z80 file block size

	// Prototypes

	void Release (void);
	int LoadFile (char *szSnapFileName);
	int LoadFileFromVmu (char *fileName);
	int SaveSnapShot (char *fileName, char *shortDesc);

#endif // #ifndef SNAPSHEADER
