#ifndef __DC_PCM_H__
#define	__DC_PCM_H__

#define TV_PAL				0
#define	TV_NTSC				1
#define	TV_NTSC_ENHANCED	2

typedef struct
{
    int enabled;
    int bufsize;
    signed short buffer[2][1000];
    signed short fm_buffer[1000];        /* internal use only */
    signed short psg_buffer[2][1000];    /* internal use only */
    int log;
    void (*callback)(int data);
}t_snd;


#define NTSC_SAMPLE_RATE			31440
#define PAL_SAMPLE_RATE				31200
#define NTSC_ENHANCED_SAMPLE_RATE	30000

#define SAMPLE_RATE 44100

#define SAMPLE_BITS 16
#define SOUND_BUF_LEN ((snd.bufsize)*2)
#define SOUND_BUF_CNT 16

extern	void pcm_init();
extern	void pcm_close();
extern	void render_pcm_pal();
extern	void render_pcm_ntsc();

extern	void sndstart(void);
extern	void pcm_clear_buffer();

#endif